specs_2.8.0.RC1

Hi all, the specs run configuration does not work with specs_2.8.0.RC1.
Do you plan to support this? And when?

Regards Christopher

5 comments

The test runner code in the plugin could also be refactored to use the 'uniform test interface', that is now supported by the major test frameworks:

http://github.com/harrah/test-interface

This is a java package, so doesn't have the binary compatibility problems, and also will allow support of multiple versions of test frameworks without changing the plugin.

You could look at the way that SBT uses this.

-jason

0

That 's really great. Thank you for information.
I'll do it next week. Same time specs for RC1 will be fixed in IDEA. Sorry for such long fix.

Best regards,
Alexander Podkhalyuzin.

0

Thx Alexander.

(No need to say sorry for such a great work )

0

Thanks Alexander for your hard work! Please tell me if there's anything I can do to help.

Eric.

0

I didn't find a way to use TestInterfaceRunner, but I found a way to rewrite our runner to Java. This step should help to remove problems with compatibility of IDEA and Specs.
I didn't find a way to do the same solution with ScalaTest, becase ScalaTest reporter extends Function1, which I can't extends in Java.

Best regards,
Alexander Podkhalyuzin.

0

Please sign in to leave a comment.